| OpenMS 2.5.0

CruxAdapter

Identifies peptides in MS/MS spectra via Crux and tide-search.

pot. predecessor tools | CruxAdapter | pot. successor tools
any signal-/preprocessing tool (in mzML format) | IDFilter or any protein/peptide processing tool

Crux must be installed before this wrapper can be used. This should be the case for the installers.

The default parameters are set for a high resolution instrument. See the following publication:
Christopher Y. Park, Aaron A. Klammer, Lukas Käll, Michael J. MacCoss and William Stafford Noble. "Rapid and accurate peptide identification from tandem mass spectra." Journal of Proteome Research. 7(7):3022-3027, 2008. doi: 10.1021/pr800127y

The command line parameters of this tool are:

    CruxAdapter -- Identifies MS/MS spectra using Crux.

    Full documentation: http://www.openms.de/documentation/TOPP_CruxAdapter.html

    Version: 2.5.0-GIT-NOTFOUND-GIT-NOTFOUND Sep 10 2020, 12:20:39, Revision: GIT-NOTFOUND

    To cite OpenMS:

      Rost HL, Sachsenberg T, Aiche S, Bielow C et al.. OpenMS: a flexible open-source software platform for mass spectrometry data analysis. Nat Meth. 2016; 13, 9: 741-748. doi:10.1038/nmeth.3959.

    To cite CruxAdapter:

      Park CI, Klammer AA, Käll L, MacCoss MJ, Noble WS. Rapid and accurate peptide identification from tandem mass spectra. J Proteome Res 7(7):3022-3027, 2008.. doi:10.1021/pr800127y.

    Usage:

      CruxAdapter <options>

    Options (mandatory options marked with '*'):

      -in <file>*                            Input file (valid formats: 'mzML')

      -out <file>*                           Output file (valid formats: 'idXML')

      -database <file>*                      FASTA file (valid formats: 'FASTA')

      -crux_executable <executable>*         Crux executable of the installation e.g. 'crux.exe'

      -extra_index_args <choice>             Extra arguments to be passed to tide-index

      -extra_search_args <choice>            Extra arguments to be passed to tide-search

      -extra_percolator_args <choice>        Extra arguments to be passed to percolator

      -precursor_mass_tolerance <tolerance>  Precursor monoisotopic mass tolerance (Crux parameter: peptide_mass_

                                             tolerance) (default: '10.0')

      -precursor_mass_units <choice>         Unit of precursor mass tolerance (amu, m/z or ppm) (default: 'ppm'

                                             valid: 'mass', 'mz', 'ppm')

      -fragment_bin_offset <offset>          In the discretization of the m/z axes of the observed and theoretica

                                             l spectra, this parameter specifies the location of the left edge

                                             of the first bin, relative to mass = 0 (i.e., mz-bin-offset = 0.xx

                                             means the left edge of the first bin will be located at +0.xx Da).

                                             (default: '0.0')

      -fragment_bin_width <width>            Before calculation of the XCorr score, the m/z axes of the observed

                                             and theoretical spectra are discretized. This parameter specifies

                                             the size of each bin. The exact formula for computing the discretize

                                             d m/z value is floor((x/mz-bin-width) + 1.0 - mz-bin-offset), where

                                             x is the observed m/z value. For low resolution ion trap ms/ms data

                                             1.0005079 and for high resolution ms/ms 0.02 is recommended. (defaul

                                             t: '0.02')

      -isotope_error <choice>                List of positive, non-zero integers.

      -run_percolator <true/false>           Whether to run percolator after tide-search (default: 'true' valid:

                                             'true', 'false')

      -enzyme <cleavage site>                The enzyme used for peptide digestion. (default: 'trypsin' valid:

                                             'custom-enzyme', 'asp-n', 'trypsin', 'arg-c', 'elastase', 'glu-c',

                                             'pepsin-a', 'cyanogen-bromide', 'clostripain', 'lys-n', 'staph-prote

                                             ase', 'proline-endopeptidase', 'chymotrypsin', 'trypsin/p', 'lys-c',

                                             'iodosobenzoate', 'elastase-trypsin-chymotrypsin', 'no-enzyme')

      -digestion <choice>                    Full, partial or non specific digestion (default: 'full-digest' vali

                                             d: 'full-digest', 'partial-digest', 'non-specific-digest')

      -allowed_missed_cleavages <num>        Number of possible cleavage sites missed by the enzyme, maximum valu

                                             e is 5; for enzyme search (default: '0')

      -decoy-format <choice>                 Decoy generation method either by reversing the sequence or shufflin

                                             g it. (default: 'shuffle' valid: 'none', 'shuffle', 'peptide-reverse

                                             ', 'protein-reverse')

      -keep-terminal-aminos <choice>         Whether to keep N and C terminal in place or also shuffled / reverse

                                             d. (default: 'NC' valid: 'N', 'C', 'NC', 'none')

      -cterm_modifications <mods>            Specifies C-terminal static and variable mass modifications on pepti

                                             des.  Specify a comma-separated list of C-terminal modification sequ

                                             ences of the form: X+21.9819 Default = <empty>.

      -nterm_modifications <mods>            Specifies N-terminal static and variable mass modifications on pepti

                                             des.  Specify a comma-separated list of N-terminal modification sequ

                                             ences of the form: 1E-18.0106,C-17.0265 Default = <empty>.

      -modifications <mods>                  Expression for static and variable mass modifications to include.

                                             Specify a comma-separated list of modification sequences of the form

                                             : C+57.02146,2M+15.9949,1STY+79.966331,... Default = C+57.02146.

      -test_fdr <fdr>                        False discovery rate threshold used in selecting hyperparameters

                                             during internal cross-validation and for reporting the final results

                                             . (default: '0.01')

      -train_fdr <fdr>                       False discovery rate threshold to define positive examples in traini

                                             ng. (default: '0.01')

    Common TOPP options:

      -ini <file>                            Use the given TOPP INI file

      -threads <n>                           Sets the number of threads allowed to be used by the TOPP tool (defa

                                             ult: '1')

      -write_ini <file>                      Writes the default configuration file

      --help                                 Shows options

      --helphelp                             Shows all options (including advanced)

INI file documentation of this tool:

Legend:
required parameter
advanced parameter
+CruxAdapter Identifies MS/MS spectra using Crux.
version 2.5.0-GIT-NOTFOUND-GIT-NOTFOUND Version of the tool that generated this parameters file.
++1 Instance '1' section for 'CruxAdapter'
in Input file input file*.mzML
out Output file output file*.idXML
database FASTA file input file*.FASTA
crux_executable crux.exe Crux executable of the installation e.g. 'crux.exe'input file
extra_index_args Extra arguments to be passed to tide-index
extra_search_args Extra arguments to be passed to tide-search
extra_percolator_args Extra arguments to be passed to percolator
precursor_mass_tolerance 10.0 Precursor monoisotopic mass tolerance (Crux parameter: peptide_mass_tolerance)
precursor_mass_units ppm Unit of precursor mass tolerance (amu, m/z or ppm)mass,mz,ppm
fragment_bin_offset 0.0 In the discretization of the m/z axes of the observed and theoretical spectra, this parameter specifies the location of the left edge of the first bin, relative to mass = 0 (i.e., mz-bin-offset = 0.xx means the left edge of the first bin will be located at +0.xx Da).
fragment_bin_width 0.02 Before calculation of the XCorr score, the m/z axes of the observed and theoretical spectra are discretized. This parameter specifies the size of each bin. The exact formula for computing the discretized m/z value is floor((x/mz-bin-width) + 1.0 - mz-bin-offset), where x is the observed m/z value. For low resolution ion trap ms/ms data 1.0005079 and for high resolution ms/ms 0.02 is recommended.
isotope_error List of positive, non-zero integers.
run_percolator true Whether to run percolator after tide-search true,false
enzyme trypsin The enzyme used for peptide digestion.custom-enzyme,asp-n,trypsin,arg-c,no-enzyme,staph-protease,glu-c,trypsin/p,elastase,pepsin-a,proline-endopeptidase,clostripain,lys-c,cyanogen-bromide,elastase-trypsin-chymotrypsin,chymotrypsin,lys-n,iodosobenzoate
digestion full-digest Full, partial or non specific digestion full-digest,partial-digest,non-specific-digest
allowed_missed_cleavages 0 Number of possible cleavage sites missed by the enzyme, maximum value is 5; for enzyme search
custom_enzyme Specify rules for in silico digestion of protein sequences. Overrides the enzyme option. Two lists of residues are given enclosed in square brackets or curly braces and separated by a |. The first list contains residues required/prohibited before the cleavage site and the second list is residues after the cleavage site.
decoy_prefix decoy_ Specifies the prefix of the protein names that indicate a decoy
decoy-format shuffle Decoy generation method either by reversing the sequence or shuffling it.none,shuffle,peptide-reverse,protein-reverse
keep-terminal-aminos NC Whether to keep N and C terminal in place or also shuffled / reversed.N,C,NC,none
cterm_modifications Specifies C-terminal static and variable mass modifications on peptides. Specify a comma-separated list of C-terminal modification sequences of the form: X+21.9819 Default = .
nterm_modifications Specifies N-terminal static and variable mass modifications on peptides. Specify a comma-separated list of N-terminal modification sequences of the form: 1E-18.0106,C-17.0265 Default = .
modifications Expression for static and variable mass modifications to include. Specify a comma-separated list of modification sequences of the form: C+57.02146,2M+15.9949,1STY+79.966331,... Default = C+57.02146.
test_fdr 0.01 False discovery rate threshold used in selecting hyperparameters during internal cross-validation and for reporting the final results.
train_fdr 0.01 False discovery rate threshold to define positive examples in training.
deisotope false Deisotope spectra before searching true,false
report_decoys false Include decoys in the final reported dataset true,false
log Name of log file (created only when specified)
debug 0 Sets the debug level
threads 1 Sets the number of threads allowed to be used by the TOPP tool
no_progress false Disables progress logging to command line true,false
force false Overwrite tool specific checks.true,false
test false Enables the test mode (needed for internal use only)true,false